New URL for NEMO forge!   http://forge.nemo-ocean.eu

Since March 2022 along with NEMO 4.2 release, the code development moved to a self-hosted GitLab.
This present forge is now archived and remained online for history.
#2194 (ENHANCE-12_SimonM-Tides) – NEMO

Opened 4 years ago

Last modified 16 months ago

#2194 assigned Task

ENHANCE-12_SimonM-Tides

Reported by: smueller Owned by: smueller
Priority: high Milestone: Unscheduled
Component: SBC Version: trunk
Severity: minor Keywords: tides
Cc:

Description (last modified by smueller)

Summary

Action ENHANCE-12_SimonM-Tides
PI(S) Simon Müller, Nicolas Bruneau
Digest This action aims to enhance the implementation of tidal forcing with the addition of an optional, alternative parameter set for the harmonic expansion of the tide potential, by somewhat simplifying the existing code, and by converting a currently fixed coefficient into a namelist parameter.
Dependencies
Branches NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis, has superseded NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides; NEMO/branches/2019/dev_r13813_ENHANCE-12_SimonM-Tides_doc
Previewer(s) Jérôme Chanut
Reviewer(s) Jérôme Chanut
Wiki 2019WP/ENHANCE-12_SimonM-Tides

Abstract

This action aims to enhance the implementation of tidal forcing with the addition of an optional, alternative parameter set for the harmonic expansion of the tide potential, by somewhat simplifying the existing code, and by converting a currently fixed coefficient into a namelist parameter.

Description

This action aims to enhance the implementation of tidal forcing with the addition of an optional, alternative parameter set for the harmonic expansion of the tide potential and by converting a currently fixed coefficient into a configurable namelist parameter; this work has previously been implemented and tested by Nicolas Bruneau in a pre-4.0beta version of NEMO.

Further, this action aims to reduce the total number of modules related to tides (the current implementation comprises the modules sbctide, tideini, tide_mod, updtide, and bdytide) and to thereby somewhat simplify the current implementation of tidal forcing.

Implementation

See 2019WP/ENHANCE-12_SimonM-Tides

Reference manual update

See 2019WP/ENHANCE-12_SimonM-Tides

Commit History (53)

ChangesetAuthorTimeChangeLog
13916smueller2020-11-30T12:11:25+01:00

Documentation update associated with action 2019WP/ENHANCE-12_SimonM-Tides (ticket #2194)

13913smueller2020-11-30T11:27:08+01:00

Minor adjustments of the documentation update associated with action ENHANCE-12_SimonM-Tides (2019 WP, ticket #2194)

13844smueller2020-11-20T16:04:44+01:00

Documentation update associated with action ENHANCE-12_SimonM-Tides (2019 WP, ticket #2194)

13838smueller2020-11-20T10:45:27+01:00

Inception of a development branch for documentation updates associated with action ENHANCE-12_SimonM-Tides (2019 WP), see ticket #2194

12184smueller2019-12-11T14:35:26+01:00

Merging of the developments in /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis@12122 with respect to /NEMO/trunk@12072 into /NEMO/branches/2019/dev_r12072_MERGE_OPTION2_2019 (tickets #2175 and #2194)

12122smueller2019-12-09T12:29:10+01:00

Modifications to make modules diadetide and diamlr compilable and compatible with module tide_mod (tickets #2175 and #2194)

12118smueller2019-12-09T11:38:19+01:00

Belated removal of the file src/OCE/SBC/tide_mod.F90 (tickets #2175 and #2194) This file removal has been omitted from the merging of the developments in /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides@12096 with respect to /NEMO/trunk@12072 into /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis (changeset [12117]).

12117smueller2019-12-09T10:46:17+01:00

Merging of the developments in /NEMO/branches/2019/dev_r10742_ENHANCE-12_SimonM-Tides@12096 with respect to /NEMO/trunk@12072 into /NEMO/branches/2019/dev_r11879_ENHANCE-05_SimonM-Harmonic_Analysis (tickets #2175 and #2194)

12096smueller2019-12-06T16:27:37+01:00

Synchronizing with /NEMO/trunk@12072 (ticket #2194)

12078smueller2019-12-05T19:31:55+01:00

New version of the modification originally implemented by changeset [10865] and removed by changeset [12037] (ticket #2194)

12076smueller2019-12-05T18:28:41+01:00

Follow-up adjustment after revision r12065 to complete the sync merge with the trunk (ticket #2194)

12065smueller2019-12-05T12:06:36+01:00

Synchronizing with /NEMO/trunk@12055 (ticket #2194)

12059smueller2019-12-05T09:34:39+01:00

Reversal of changeset [10865] to avoid a conflict in the upcoming sync merge with the trunk; a new version of the modification implemented by changeset [10865] will be applied following the upcoming sync merge with the trunk (ticket #2194)

12057smueller2019-12-04T19:22:49+01:00

Removal of two variable assignments used for the purpose of a test and inadvertently left in the code when changeset [12056] was commited (ticket #2194)

12056smueller2019-12-04T18:55:02+01:00

Further modifications related to coding style and conventions, addition of citations of equations, and further reduction of the number of real-valued literals used in module tide_mod (ticket #2194) This changeset affects results produced by the AMM12 and SPITZ12 reference model configurations.

12047smueller2019-12-04T12:49:03+01:00

Replacement of local constants in subroutine tide_pulse of module tide_mod by existing module variables (ticket #2194) This modification slightly changes many tidal-constituent frequencies computed by subroutine tide_pulse, with the exception of the frequencies of the S1, S2, and S4 tidal constituents.

12045smueller2019-12-03T18:24:37+01:00

Modifications related to coding style and conventions, and addition of a reference in module tide_mod (ticket #2194)

12042smueller2019-12-03T16:41:39+01:00

Reduction of the number of real-valued literals used in subroutine astronomic_angle of module tide_mod (ticket #2194)

12037smueller2019-12-03T13:21:21+01:00

Adjustment of the location of a comment line (ticket #2194)

11865smueller2019-11-05T23:59:58+01:00

Adjustment of two tidal-constituent identifiers (ticket #2194)

11864smueller2019-11-05T23:40:39+01:00

Inclusion of string normalisation in subroutine tide_init_components of module tide_mod to permit the selection of tidal constituents irrespective of the capitalisation of their identifiers specified in the namelist (ticket #2194)

11855smueller2019-11-05T13:49:47+01:00

Restriction and removal of use statements included in module tide_mod (ticket #2194)

11854smueller2019-11-05T11:05:25+01:00

Suppression of the listing of selected tidal constituents as part of standard output unless variable lwp is set to .TRUE. (ticket #2194)

11770smueller2019-10-23T14:02:22+02:00

Removal of unused node-factor formulae (ticket #2194)

11768smueller2019-10-23T11:58:40+02:00

Addition of an alternative tidal-constituent parameter set (ticket #2194)

11764smueller2019-10-22T19:57:44+02:00

Addition of optional tidal-potential output (ticket #2194)

11737smueller2019-10-18T20:13:07+02:00

Addition of terdiurnal components to the computation of the tidal potential (ticket #2194)

11722smueller2019-10-18T13:51:58+02:00

Removal of component nutide, which mirrors component nt, from variables of derived data type tide (ticket #2194)

11704smueller2019-10-14T18:54:26+02:00

Expansion of include file tide.h90 to provide a choice of alternative (currently identical) tidal-constituent parameter sets during code preprocessing (ticket #2194)

11664smueller2019-10-08T19:32:15+02:00

Inclusion of selected long-periodic tidal constituents in the computation of the tidal potential (ticket #2194)

10865smueller2019-04-12T11:58:31+02:00

Removal of redundant source code in modules bdydta and bdytides (ticket #2194)

10861smueller2019-04-11T14:45:00+02:00

Suppression of optional complex conjugation of tidal input data at open boundaries (ticket #2194)

10860smueller2019-04-11T11:35:27+02:00

Relocation of the time-of-day computation in subroutine upd_tide (module tide_mod) to its callers (ticket #2194)

10856smueller2019-04-09T17:46:52+02:00

Replacement of the temporary modification of a global variable in subroutine tide_update (module tide_mod) by an alternative, local mechanism (ticket #2194)

10855smueller2019-04-09T13:32:20+02:00

Simplification of subroutine tide_update (module tide_mod) by transferring variable initialisations to other subroutines (ticket #2194)

10852smueller2019-04-08T19:03:04+02:00

Renaming of subroutine sbc_tide of module sbctide to tide_update, transfer of this subroutine to module tide_mod, removal of the emptied module sbctide, and related adjustments (ticket #2194)

10840smueller2019-04-04T19:09:12+02:00

Simplification of initialisation of tidal-constituent parameters (module tide_mod) (ticket #2194)

10839smueller2019-04-04T17:55:33+02:00

Adjustments to enable the use of subroutine tide_init_harmonics for the initialisation of harmonic analysis of a number of tidal constituents that differs from the number of constituents selected for tidal forcing (ticket #2194)

10836smueller2019-04-03T17:43:15+02:00

Correction of the declaration of variable tide_components in subroutine dia_harm_init of module diaharm (ticket #2194)

10830smueller2019-04-03T13:11:17+02:00

Reversion of an error message in subroutine dia_harm_init of module diaharm to the version that was present prior to changeset [10425] (ticket #2194)

10826smueller2019-04-02T17:41:29+02:00

Correction of a variable declaration in subroutine dia_harm_init of module diaharm (ticket #2194)

10822smueller2019-04-01T17:50:07+02:00

Addition of a new type (tide_harmonics in module tide_mod), two replacements of four separate arrays for the storage of oscillation parameters by one array of variables of this new type (in modules diaharm and tide_mod), and related adjustments in various modules (bdytides, diaharm, sbctides, and tide_mod) (ticket #2194)

10811smueller2019-03-29T13:54:25+01:00

Replacement of the module variable used to store information about all available tidal components (variable Wave in module tide_mod) by an array used to store information about the selected components only (variable tide_components in module tide_mod), replacement of the corresponding initialisation subroutine, as well as related adjustments in various modules (bdytides, diaharm, sbctide, and tide_mod) and in one include file (tide.h90) (ticket #2194)

10805smueller2019-03-27T17:23:20+01:00

Relocation of include file tide.h90 to subdirectory src/OCE/TDE (ticket #2194)

10801smueller2019-03-25T20:34:17+01:00

Update of the reference namelist and of two configuration namelists to complement the namelist modification of changeset [10800] (ticket #2194)

10800smueller2019-03-25T18:19:23+01:00

Renaming of two items of namelist nam_tide to bring them in line with the namelist naming convention (ticket #2194)

10793smueller2019-03-21T19:43:33+01:00

Replacement of a hard-coded coefficient by namelist parameter rn_tide_gamma (ticket #2194)

10777smueller2019-03-19T16:39:00+01:00

Removal of module updtide and inclusion of its contents into module tide_mod (ticket #2194)

10773smueller2019-03-18T13:38:52+01:00

Transfer of five public variables, their allocation, and two subroutines from module sbctide to module tide_mod (ticket #2194)

10772smueller2019-03-16T11:17:25+01:00

Removal of module tideini and inclusion of its contents into module tide_mod (ticket #2194)

10752smueller2019-03-14T14:51:09+01:00

Relocation of module tide_mod to subdirectory src/OCE/TDE (ticket #2194)

10749smueller2019-03-13T17:18:14+01:00

Addition of subdirectory src/OCE/TDE for tide-related source code (ticket #2194)

10744smueller2019-03-12T15:10:42+01:00

Inception of the development branch for action ENHANCE-12_SimonM-Tides of the 2019 work plan, see ticket #2194

Change History (76)

comment:1 Changed 4 years ago by smueller

  • Description modified (diff)

comment:2 Changed 4 years ago by smueller

  • Description modified (diff)
  • Summary changed from ENHANCE-08_SimonM-Tides to ENHANCE-12_SimonM-Tides

comment:3 Changed 4 years ago by nemo

  • Priority changed from low to high

comment:4 Changed 4 years ago by smueller

  • Owner set to smueller
  • Status changed from new to assigned

comment:5 Changed 3 years ago by smueller

  • Description modified (diff)
  • Type changed from Task to Bug
  • Version trunk deleted

comment:6 Changed 3 years ago by smueller

  • Type changed from Bug to Task
  • Version set to trunk

comment:7 Changed 3 years ago by smueller

  • Description modified (diff)

comment:8 Changed 3 years ago by smueller

In 10744:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:9 Changed 3 years ago by smueller

  • Description modified (diff)

comment:10 Changed 3 years ago by smueller

In 10749:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:11 Changed 3 years ago by smueller

In 10752:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:12 Changed 3 years ago by smueller

In 10772:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:13 Changed 3 years ago by smueller

In 10773:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:14 Changed 3 years ago by smueller

In 10777:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:15 Changed 3 years ago by smueller

In 10793:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:16 Changed 3 years ago by smueller

In 10800:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:17 Changed 3 years ago by smueller

In 10801:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:18 Changed 3 years ago by smueller

In 10805:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:19 Changed 3 years ago by smueller

In 10811:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:20 Changed 3 years ago by smueller

In 10822:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:21 Changed 3 years ago by smueller

In 10826:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:22 Changed 3 years ago by smueller

In 10830:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:23 Changed 3 years ago by smueller

In 10836:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:24 Changed 3 years ago by smueller

In 10839:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:25 Changed 3 years ago by smueller

In 10840:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:26 Changed 3 years ago by smueller

In 10852:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:27 Changed 3 years ago by smueller

In 10855:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:28 Changed 3 years ago by smueller

In 10856:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:29 Changed 3 years ago by smueller

In 10860:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:30 Changed 3 years ago by smueller

In 10861:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:31 Changed 3 years ago by smueller

In 10865:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:32 Changed 3 years ago by smueller

  • wp_comment set to Implementation in progress

comment:33 Changed 3 years ago by smueller

  • mp_status set to no

comment:34 Changed 3 years ago by smueller

  • mp_status no deleted

comment:35 Changed 3 years ago by smueller

In 11664:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:36 Changed 3 years ago by smueller

In 11704:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:37 Changed 3 years ago by smueller

Changeset 11663: Addition of a namelist parameter to enable the selectability of alternative tidal parameter sets and tide-potential computations

comment:38 Changed 3 years ago by smueller

In 11722:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:39 Changed 3 years ago by smueller

In 11737:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:40 Changed 3 years ago by smueller

In 11764:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:41 Changed 3 years ago by smueller

In 11768:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:42 Changed 3 years ago by smueller

In 11770:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:43 Changed 3 years ago by smueller

In 11854:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:44 Changed 3 years ago by smueller

In 11855:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:45 Changed 3 years ago by smueller

In 11864:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:46 Changed 3 years ago by smueller

In 11865:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:47 Changed 3 years ago by smueller

  • branch_review changed from failed to pending

comment:48 Changed 3 years ago by smueller

In 12037:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:49 Changed 3 years ago by smueller

In 12042:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:50 Changed 3 years ago by smueller

In 12045:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:51 Changed 3 years ago by smueller

In 12047:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:52 follow-up: Changed 3 years ago by smueller

In 12056:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:53 Changed 3 years ago by smueller

In 12057:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:54 in reply to: ↑ 52 Changed 3 years ago by smueller

Replying to smueller:

In 12056:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

Changeset [12056] did in fact not affect the results produced by the AMM12 and SPITZ12 reference model configurations (as run for SETTE). Two variable assignments made as a test during development have inadvertently become part of changeset [12056]; these two lines have been removed with changeset [12057] and as a result SETTE reports a change in the output from the AMM12 and SPITZ12 test runs due to changeset [12057].

comment:55 Changed 3 years ago by smueller

In 12059:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:56 Changed 3 years ago by smueller

In 12065:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:57 Changed 3 years ago by smueller

In 12076:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:58 Changed 3 years ago by smueller

In 12078:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:59 Changed 3 years ago by smueller

In 12096:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:60 Changed 3 years ago by smueller

In 12117:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:61 Changed 3 years ago by smueller

In 12118:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:62 Changed 3 years ago by smueller

In 12122:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:63 Changed 3 years ago by smueller

  • Description modified (diff)

comment:64 Changed 3 years ago by smueller

  • wp_comment changed from Implementation in progress to Implementation complete; developments merged with ENHANCE-05_SimonM-Harmonic_Analysis developments; testing in progress

comment:65 Changed 3 years ago by smueller

In 12184:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:66 Changed 3 years ago by smueller

  • mp_status changed from no to yes
  • wp_comment changed from Implementation complete; developments merged with ENHANCE-05_SimonM-Harmonic_Analysis developments; testing in progress to Implementation complete; developments merged with ENHANCE-05_SimonM-Harmonic_Analysis developments; reference manual update in progress

comment:67 Changed 21 months ago by smueller

In 13838:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:68 Changed 21 months ago by smueller

  • Description modified (diff)

comment:69 Changed 21 months ago by smueller

  • wp_comment changed from Implementation complete; developments merged with ENHANCE-05_SimonM-Harmonic_Analysis developments; reference manual update in progress to Implementation complete; developments merged with trunk (via ENHANCE-05_SimonM-Harmonic_Analysis development branch); reference manual update in progress

comment:70 Changed 21 months ago by smueller

In 13844:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:71 Changed 21 months ago by smueller

  • Description modified (diff)

comment:72 Changed 21 months ago by smueller

  • wp_comment changed from Implementation complete; developments merged with trunk (via ENHANCE-05_SimonM-Harmonic_Analysis development branch); reference manual update in progress to Implementation complete; developments merged with trunk (via ENHANCE-05_SimonM-Harmonic_Analysis development branch); reference manual update complete (pending merge with trunk)

comment:73 Changed 21 months ago by smueller

In 13913:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:74 Changed 21 months ago by smueller

In 13916:

Error: Failed to load processor CommitTicketReference
No macro or processor named 'CommitTicketReference' found

comment:75 Changed 21 months ago by smueller

  • wp_comment changed from Implementation complete; developments merged with trunk (via ENHANCE-05_SimonM-Harmonic_Analysis development branch); reference manual update complete (pending merge with trunk) to Implementation complete; developments merged with trunk (via ENHANCE-05_SimonM-Harmonic_Analysis development branch); reference manual update merged with trunk

comment:76 Changed 16 months ago by nemo

  • Milestone changed from 2019 WP to Unscheduled
Note: See TracTickets for help on using tickets.